package salleVente;

/**
 * Cette interface contient juste des paramtres par dfaut (constantes)
 * pour le fonctionnement de la salle de vente.
 * 
 * @author Bencherif, Kartasasmita, Mathon, Parra dP.
 */
interface ParametresSalle {
    
    /** temps d'attente avant le dbut de l'enchre (20 secondes)*/
    static final int DUREE_AVANT_ENCHERE = 20000;

    /** pas  appliquer lorsque le commissaire doit baisser le prix (500) */
    static final int PAS_BAISSE = 500;

    /** dure d'un top de marteau (5 sec) */
    static final int DUREE_TOP = 5000;

    /** rapport  appliquer au prix de vente de dpart et dont le rsultat
	donne le plancher maximum en dessous duquel la vente de l'objet est
	annule car trop basse.  Valeur fixe  1/3 du prix initial. */
    static final float RAPPORT_PLANCHER = 0.333f;

}
